This endpoint adds the custom field to the task.
Responses
-
The resource created successfully
-
The client request has not been completed because it lacks valid authentication credentials for the requested resource.
-
The client does not have access rights to the content.
-
The request method is known by the server but is not supported by the target resource.
POST
/api/v1.0/tasks/{task_id}/fields
curl \
--request POST 'https://openapi.niftypm.com/api/v1.0/tasks/{task_id}/fields' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"field_id":"string","name":"string","description":"string","type":0,"currency":"string","tracking_type":0,"cost_per_hour":42.0,"options":[{"value":"string","color":"string"}],"roles":["string"],"save":true,"association":"string","project_id":"string"}'
Request examples
{
"field_id": "string",
"name": "string",
"description": "string",
"type": 0,
"currency": "string",
"tracking_type": 0,
"cost_per_hour": 42.0,
"options": [
{
"value": "string",
"color": "string"
}
],
"roles": [
"string"
],
"save": true,
"association": "string",
"project_id": "string"
}